
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_SOURCE_DIR}/libkdchart
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### reports (static)

tde_add_library( reports STATIC_PIC AUTOMOC
  SOURCES
    pivotgrid.cpp
    pivottable.cpp
    listtable.cpp
    querytable.cpp
    objectinfotable.cpp
    reportaccount.cpp
    kreportchartview.cpp

  LINK
    kmymoneysettings-static

  DEPENDENCIES
    kmm-includes
)


##### reportstest (static)

tde_add_library( reportstest STATIC_PIC AUTOMOC
  SOURCES
    reportstestcommon.cpp
    pivottabletest.cpp
    pivotgridtest.cpp
    querytabletest.cpp

  LINK
    reports-static
    kmm_kdchart-shared

  DEPENDENCIES
    kmm-includes

  EXCLUDE_FROM_ALL
)
